UpdateApplicationPriorityRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: UpdateApplicationPriorityRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class UpdateApplicationPriorityRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.UpdateApplicationPriorityRequest

@Public @Unstable public abstract class UpdateApplicationPriorityRequest extends Object

The request sent by the client to the `ResourceManager` to set or update the application priority.

The request includes the `ApplicationId` of the application and `Priority` to be set for an application

See Also:
  - `ApplicationClientProtocol.updateApplicationPriority(UpdateApplicationPriorityRequest)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateApplicationPriorityRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ApplicationId`
  `getApplicationId()`
  Get the `ApplicationId` of the application.
  `abstract Priority`
  `getApplicationPriority()`
  Get the `Priority` of the application to be set.
  `static UpdateApplicationPriorityRequest`
  `newInstance(ApplicationId applicationId, Priority priority)`
  `abstract void`
  `setApplicationId(ApplicationId applicationId)`
  Set the `ApplicationId` of the application.
  `abstract void`
  `setApplicationPriority(Priority priority)`
  Set the `Priority` of the application.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateApplicationPriorityRequest

    public UpdateApplicationPriorityRequest()

- ## Method Details

  - ### newInstance

    public static UpdateApplicationPriorityRequest newInstance(ApplicationId applicationId, Priority priority)

  - ### getApplicationId

    public abstract ApplicationId getApplicationId()
    Get the `ApplicationId` of the application.
    Returns:
      `ApplicationId` of the application

  - ### setApplicationId

    public abstract void setApplicationId(ApplicationId applicationId)
    Set the `ApplicationId` of the application.
    Parameters:
      `applicationId` - `ApplicationId` of the application

  - ### getApplicationPriority

    public abstract Priority getApplicationPriority()
    Get the `Priority` of the application to be set.
    Returns:
      `Priority` of the application to be set.

  - ### setApplicationPriority

    public abstract void setApplicationPriority(Priority priority)
    Set the `Priority` of the application.
    Parameters:
      `priority` - `Priority` of the application